Index: issm/trunk/externalpackages/vim/addons/vim/syntax/c.vim
===================================================================
--- issm/trunk/externalpackages/vim/addons/vim/syntax/c.vim	(revision 12709)
+++ issm/trunk/externalpackages/vim/addons/vim/syntax/c.vim	(revision 13395)
@@ -1126,163 +1148,163 @@
 syn match	cPreCondit	display "^\s*\(%:\|#\)\s*\(else\|endif\)\>"
 if !exists("c_no_if0")
-  syn region	cCppOut		start="^\s*\(%:\|#\)\s*if\s\+0\+\>" end=".\@=\|$" contains=cCppOut2
-  syn region	cCppOut2	contained start="0" end="^\s*\(%:\|#\)\s*\(endif\>\|else\>\|elif\>\)" contains=cSpaceError,cCppSkip
-  syn region	cCppSkip	contained start="^\s*\(%:\|#\)\s*\(if\>\|ifdef\>\|ifndef\>\)" skip="\\$" end="^\s*\(%:\|#\)\s*endif\>" contains=cSpaceError,cCppSkip
-endif
-syn region	cIncluded	display contained start=+"+ skip=+\\\\\|\\"+ end=+"+
-syn match	cIncluded	display contained "<[^>]*>"
-syn match	cInclude	display "^\s*\(%:\|#\)\s*include\>\s*["<]" contains=cIncluded
-syn match cLineSkip	"\\$"
-syn cluster	cPreProcGroup	contains=cPreConditIf,cPreCondit,cIncluded,cInclude,cDefined,cDefine,cErrInParen,cErrInBracket,cUserLabel,cUserLabel2,cGotoLabel,cSpecial,cOctalZero,cCppOut,cCppOut2,cCppSkip,cFormat,cNumber,cFloat,cOctal,cOctalError,cNumbersCom,cString,cCommentSkip,cCommentString,cComment2String,@cCommentGroup,cCommentStartError,cParen,cBracket,cMulti
-"syn region	cDefine		start="^\s*\(%:\|#\)\s*\(define\|undef\)\>" skip="\\$" end="$" end="//"me=s-1 contains=ALLBUT,@cPreProcGroup,@Spell
-syn region	cDefine		start="^\s*\(%:\|#\)\s*\(define\|undef\)\>" skip="\\$" end="$" end="//"me=s-1 contains=ALLBUT,@cPreProcGroup,cName,cFunction,cAnsiFunction,@Spell
-syn region	cPreProc	start="^\s*\(%:\|#\)\s*\(pragma\>\|line\>\|warning\>\|warn\>\|error\>\)" skip="\\$" end="$" keepend contains=ALLBUT,@cPreProcGroup,@Spell
-
-" Highlight User Labels
-syn cluster	cMultiGroup	contains=cIncluded,cSpecial,cCommentSkip,cCommentString,cComment2String,@cCommentGroup,cCommentStartError,cUserCont,cUserLabel,cUserLabel2,cGotoLabel,cBitField,cOctalZero,cCppOut,cCppOut2,cCppSkip,cFormat,cNumber,cFloat,cOctal,cOctalError,cNumbersCom,cCppParen,cCppBracket,cCppString
-syn region	cMulti		transparent start='?' skip='::' end=':' contains=ALLBUT,@cMultiGroup,@Spell
-" Avoid matching foo::bar() in C++ by requiring that the next char is not ':'
-syn cluster	cLabelGroup	contains=cUserLabel
-syn match	cUserCont	display "^\s*\I\i*\s*:$" contains=@cLabelGroup
-syn match	cUserCont	display ";\s*\I\i*\s*:$" contains=@cLabelGroup
-syn match	cUserCont	display "^\s*\I\i*\s*:[^:]"me=e-1 contains=@cLabelGroup
-syn match	cUserCont	display ";\s*\I\i*\s*:[^:]"me=e-1 contains=@cLabelGroup
-
-syn match	cUserLabel	display "\I\i*" contained
-syn match	cUserLabel2	display "\I\i*:;\+"me=e-2
-syn match	cGotoLabel	display "\<goto\s\+\I\i*;"me=e-1,hs=s+5 contains=cGoto
-syn keyword	cGoto		contained goto
-
-" Avoid recognizing most bitfields as labels
-syn match	cBitField	display "^\s*\I\i*\s*:\s*[1-9]"me=e-1
-syn match	cBitField	display ";\s*\I\i*\s*:\s*[1-9]"me=e-1
-
-syn match cOperator	"\(<<\|>>\|[-+*/%&^|<>!=]\)="
-syn match cOperator	"<<\|>>\|&&\|||\|++\|--\|->"
-syn match cOperator	"[.!~*&%<>^|=+-]"
-syn match cOperator	"/[^/*=]"me=e-1
-syn match cOperator	"/$"
-syn match cOperator	"[\\]"
-syn match cOperator	"&&\|||"
-syn match cSpecialCharacter	"[,;]"
-syn match cDelimiter    "[][(){}]"
-syn keyword	cType		CHAR byte BYTE uchar ushort uint ulong
-syn keyword	cType		WORD DWORD QWORD INT INT2 INT4 UNS UNS2 UNS4 INT8 UNS8
-syn keyword	cType		CFG_t cfap_t cBYTE cvoid
-syn keyword	cType		_Bool _Complex _Imaginary __int64
-if !exists("c_no_ansi") || exists("c_ansi_typedefs")
-  syn keyword   cMC	__near __far FAR __io __direct DIR
-endif
-
-if exists("c_minlines")
-  let b:c_minlines = c_minlines
-else
-  if !exists("c_no_if0")
-    let b:c_minlines = 50	" #if 0 constructs can be long
-  else
-    let b:c_minlines = 15	" mostly for () constructs
-  endif
-endif
-exec "syn sync ccomment cComment minlines=" . b:c_minlines
-
-" Define the default highlighting.
-" For version 5.7 and earlier: only when not done already
-" For version 5.8 and later: only when an item doesn't have highlighting yet
-if version >= 508 || !exists("did_c_syn_inits")
-  if version < 508
-    let did_c_syn_inits = 1
-    command -nargs=+ HiLink hi link <args>
-  else
-    command -nargs=+ HiLink hi def link <args>
-  endif
-
-  HiLink cFormat	cSpecial
-  HiLink cCppString	cString
-  HiLink cCommentL	cComment
-  HiLink cCommentStart	cComment
-  HiLink cLabel		Label
-" HiLink cUserLabel	Label
-  HiLink cUserLabel	UserLabel2
-  HiLink cUserLabel2	UserLabel2
-  HiLink cGotoLabel	UserLabel2
-  HiLink cGoto		Statement
-  HiLink cConditional	Conditional
-  HiLink cRepeat	Repeat
-  HiLink cCharacter	Character
-  HiLink cSpecialCharacter cSpecial
-  HiLink cNumber	Number
-  HiLink cOctal		Number
-  HiLink cOctalZero	PreProc		" link this to Error if you want
-  HiLink cFloat		Float
-  HiLink cOctalError	cError
-  HiLink cParenError	cError
-  HiLink cErrInParen	cError
-  HiLink cErrInBracket	cError
-  HiLink cCommentError	cError
-  HiLink cCommentStartError	cError
-  HiLink cSpaceError	cError
-  HiLink cSpecialError	cError
-  HiLink cOperator	Operator
-  HiLink cOperatorBold	OperatorBold
-  HiLink cStructure	Structure
-  HiLink cStorageClass	StorageClass
-  HiLink cInclude	Include
-  HiLink cPreProc	PreProc
-  HiLink cDefine	Macro
-  HiLink cDefined	PreCondit
-  HiLink cIncluded	cString
-  HiLink cError		Error
-  HiLink cStatement	Statement
-  HiLink cPreCondit	PreCondit
-  HiLink cPreConditIf	PreCondit
-  HiLink cType		Type
-  HiLink cConstant	Constant
-  HiLink cCommentString cString
-  HiLink cComment2String cString
-  HiLink cCommentSkip	cComment
-  HiLink cString	String
-  HiLink cComment	Comment
-  HiLink cDelimiter     Delimiter
-  HiLink cSpecial	SpecialChar
-  HiLink cTodo		Todo
-  HiLink cCppSkip	cCppOut
-  HiLink cCppOut2	cCppOut
-  HiLink cCppOut	Comment
-  HiLink cMulti		Operator
-  HiLink cMultiMG	Operator
-  HiLink cFunction	Function
-  HiLink cAnsiFunction	StdFunction
-  HiLink cName		Name
-  HiLink cBitField	Name
-  HiLink cAnsiName	StdName
-  "HiLink cBlock	BlockBraces
-  HiLink cBraces	BlockBraces
-  "HiLink cBraceError	Error
-  HiLink cMC		MicroController
-  HiLink cAnsiFuncPtr	AnsiFuncPtr
-
-  hi Function		gui=NONE guifg=#e86f00
-  "hi StdFunction	gui=bold guifg=#ee0040
-  hi StdFunction	gui=bold guifg=#e86f00
-  hi Statement		gui=bold guifg=#a06129
-  hi UserLabel2		gui=bold guifg=#c96129
-  hi Operator		gui=NONE guifg=#000000
-  hi OperatorBold	gui=bold guifg=#000000
-  hi StdName		gui=bold guifg=#5276e6
-  hi Name		gui=NONE guifg=#5276e6
-  hi BlockBraces	gui=bold guifg=#000000
-  hi Special		gui=NONE guifg=#a000a0
-  hi Comment		gui=NONE guifg=grey62
-  hi MicroController	gui=bold guifg=#d00000
-  hi AnsiFuncPtr	gui=NONE guifg=#ff0000
-" hi PreProc        	gui=NONE guifg=#6a5acd
-  hi PreCondit      	gui=NONE guifg=#6a5acd
-" hi Macro          	gui=NONE guifg=#0000ff
-
-  delcommand HiLink
-endif
-hi Normal		gui=NONE guifg=#000000 guibg=Ivory1
-
-let b:current_syntax = "c"
-
-" vim: ts=8
+	syn region	cCppOut		start="^\s*\(%:\|#\)\s*if\s\+0\+\>" end=".\@=\|$" contains=cCppOut2
+	syn region	cCppOut2	contained start="0" end="^\s*\(%:\|#\)\s*\(endif\>\|else\>\|elif\>\)" contains=cSpaceError,cCppSkip
+		syn region	cCppSkip	contained start="^\s*\(%:\|#\)\s*\(if\>\|ifdef\>\|ifndef\>\)" skip="\\$" end="^\s*\(%:\|#\)\s*endif\>" contains=cSpaceError,cCppSkip
+	endif
+	syn region	cIncluded	display contained start=+"+ skip=+\\\\\|\\"+ end=+"+
+	syn match	cIncluded	display contained "<[^>]*>"
+	syn match	cInclude	display "^\s*\(%:\|#\)\s*include\>\s*["<]" contains=cIncluded
+	syn match cLineSkip	"\\$"
+	syn cluster	cPreProcGroup	contains=cPreConditIf,cPreCondit,cIncluded,cInclude,cDefined,cDefine,cErrInParen,cErrInBracket,cUserLabel,cUserLabel2,cGotoLabel,cSpecial,cOctalZero,cCppOut,cCppOut2,cCppSkip,cFormat,cNumber,cFloat,cOctal,cOctalError,cNumbersCom,cString,cCommentSkip,cCommentString,cComment2String,@cCommentGroup,cCommentStartError,cParen,cBracket,cMulti
+	"syn region	cDefine		start="^\s*\(%:\|#\)\s*\(define\|undef\)\>" skip="\\$" end="$" end="//"me=s-1 contains=ALLBUT,@cPreProcGroup,@Spell
+	syn region	cDefine		start="^\s*\(%:\|#\)\s*\(define\|undef\)\>" skip="\\$" end="$" end="//"me=s-1 contains=ALLBUT,@cPreProcGroup,cName,cFunction,cAnsiFunction,@Spell
+	syn region	cPreProc	start="^\s*\(%:\|#\)\s*\(pragma\>\|line\>\|warning\>\|warn\>\|error\>\)" skip="\\$" end="$" keepend contains=ALLBUT,@cPreProcGroup,@Spell
+
+	" Highlight User Labels
+	syn cluster	cMultiGroup	contains=cIncluded,cSpecial,cCommentSkip,cCommentString,cComment2String,@cCommentGroup,cCommentStartError,cUserCont,cUserLabel,cUserLabel2,cGotoLabel,cBitField,cOctalZero,cCppOut,cCppOut2,cCppSkip,cFormat,cNumber,cFloat,cOctal,cOctalError,cNumbersCom,cCppParen,cCppBracket,cCppString
+	syn region	cMulti		transparent start='?' skip='::' end=':' contains=ALLBUT,@cMultiGroup,@Spell
+	" Avoid matching foo::bar() in C++ by requiring that the next char is not ':'
+	syn cluster	cLabelGroup	contains=cUserLabel
+	syn match	cUserCont	display "^\s*\I\i*\s*:$" contains=@cLabelGroup
+	syn match	cUserCont	display ";\s*\I\i*\s*:$" contains=@cLabelGroup
+	syn match	cUserCont	display "^\s*\I\i*\s*:[^:]"me=e-1 contains=@cLabelGroup
+	syn match	cUserCont	display ";\s*\I\i*\s*:[^:]"me=e-1 contains=@cLabelGroup
+
+	syn match	cUserLabel	display "\I\i*" contained
+	syn match	cUserLabel2	display "\I\i*:;\+"me=e-2
+	syn match	cGotoLabel	display "\<goto\s\+\I\i*;"me=e-1,hs=s+5 contains=cGoto
+	syn keyword	cGoto		contained goto
+
+	" Avoid recognizing most bitfields as labels
+	syn match	cBitField	display "^\s*\I\i*\s*:\s*[1-9]"me=e-1
+	syn match	cBitField	display ";\s*\I\i*\s*:\s*[1-9]"me=e-1
+
+	syn match cOperator	"\(<<\|>>\|[-+*/%&^|<>!=]\)="
+	syn match cOperator	"<<\|>>\|&&\|||\|++\|--\|->"
+	syn match cOperator	"[.!~*&%<>^|=+-]"
+	syn match cOperator	"/[^/*=]"me=e-1
+	syn match cOperator	"/$"
+	syn match cOperator	"[\\]"
+	syn match cOperator	"&&\|||"
+	syn match cSpecialCharacter	"[,;]"
+	syn match cDelimiter    "[][(){}]"
+	syn keyword	cType		CHAR byte BYTE uchar ushort uint ulong
+	syn keyword	cType		WORD DWORD QWORD INT INT2 INT4 UNS UNS2 UNS4 INT8 UNS8
+	syn keyword	cType		CFG_t cfap_t cBYTE cvoid
+	syn keyword	cType		_Bool _Complex _Imaginary __int64
+	if !exists("c_no_ansi") || exists("c_ansi_typedefs")
+		syn keyword   cMC	__near __far FAR __io __direct DIR
+	endif
+
+	if exists("c_minlines")
+		let b:c_minlines = c_minlines
+	else
+		if !exists("c_no_if0")
+			let b:c_minlines = 50	" #if 0 constructs can be long
+		else
+			let b:c_minlines = 15	" mostly for () constructs
+		endif
+	endif
+	exec "syn sync ccomment cComment minlines=" . b:c_minlines
+
+	" Define the default highlighting.
+	" For version 5.7 and earlier: only when not done already
+	" For version 5.8 and later: only when an item doesn't have highlighting yet
+	if version >= 508 || !exists("did_c_syn_inits")
+		if version < 508
+			let did_c_syn_inits = 1
+			command -nargs=+ HiLink hi link <args>
+		else
+			command -nargs=+ HiLink hi def link <args>
+		endif
+
+		HiLink cFormat	cSpecial
+		HiLink cCppString	cString
+		HiLink cCommentL	cComment
+		HiLink cCommentStart	cComment
+		HiLink cLabel		Label
+		" HiLink cUserLabel	Label
+		HiLink cUserLabel	UserLabel2
+		HiLink cUserLabel2	UserLabel2
+		HiLink cGotoLabel	UserLabel2
+		HiLink cGoto		Statement
+		HiLink cConditional	Conditional
+		HiLink cRepeat	Repeat
+		HiLink cCharacter	Character
+		HiLink cSpecialCharacter cSpecial
+		HiLink cNumber	Number
+		HiLink cOctal		Number
+		HiLink cOctalZero	PreProc		" link this to Error if you want
+		HiLink cFloat		Float
+		HiLink cOctalError	cError
+		HiLink cParenError	cError
+		HiLink cErrInParen	cError
+		HiLink cErrInBracket	cError
+		HiLink cCommentError	cError
+		HiLink cCommentStartError	cError
+		HiLink cSpaceError	cError
+		HiLink cSpecialError	cError
+		HiLink cOperator	Operator
+		HiLink cOperatorBold	OperatorBold
+		HiLink cStructure	Structure
+		HiLink cStorageClass	StorageClass
+		HiLink cInclude	Include
+		HiLink cPreProc	PreProc
+		HiLink cDefine	Macro
+		HiLink cDefined	PreCondit
+		HiLink cIncluded	cString
+		HiLink cError		Error
+		HiLink cStatement	Statement
+		HiLink cPreCondit	PreCondit
+		HiLink cPreConditIf	PreCondit
+		HiLink cType		Type
+		HiLink cConstant	Constant
+		HiLink cCommentString cString
+		HiLink cComment2String cString
+		HiLink cCommentSkip	cComment
+		HiLink cString	String
+		HiLink cComment	Comment
+		HiLink cDelimiter     Delimiter
+		HiLink cSpecial	SpecialChar
+		HiLink cTodo		Todo
+		HiLink cCppSkip	cCppOut
+		HiLink cCppOut2	cCppOut
+		HiLink cCppOut	Comment
+		HiLink cMulti		Operator
+		HiLink cMultiMG	Operator
+		HiLink cFunction	Function
+		HiLink cAnsiFunction	StdFunction
+		HiLink cName		Name
+		HiLink cBitField	Name
+		HiLink cAnsiName	StdName
+		"HiLink cBlock	BlockBraces
+		HiLink cBraces	BlockBraces
+		"HiLink cBraceError	Error
+		HiLink cMC		MicroController
+		HiLink cAnsiFuncPtr	AnsiFuncPtr
+
+		hi Function		gui=NONE guifg=#e86f00
+		"hi StdFunction	gui=bold guifg=#ee0040
+		hi StdFunction	gui=bold guifg=#e86f00
+		hi Statement		gui=bold guifg=#a06129
+		hi UserLabel2		gui=bold guifg=#c96129
+		hi Operator		gui=NONE guifg=#000000
+		hi OperatorBold	gui=bold guifg=#000000
+		hi StdName		gui=bold guifg=#5276e6
+		hi Name		gui=NONE guifg=#5276e6
+		hi BlockBraces	gui=bold guifg=#000000
+		hi Special		gui=NONE guifg=#a000a0
+		hi Comment		gui=NONE guifg=grey62
+		hi MicroController	gui=bold guifg=#d00000
+		hi AnsiFuncPtr	gui=NONE guifg=#ff0000
+		" hi PreProc        	gui=NONE guifg=#6a5acd
+		hi PreCondit      	gui=NONE guifg=#6a5acd
+		" hi Macro          	gui=NONE guifg=#0000ff
+
+		delcommand HiLink
+	endif
+	hi Normal		gui=NONE guifg=#000000 guibg=Ivory1
+
+	let b:current_syntax = "c"
+
+	" vim: ts=8
Index: issm/trunk/externalpackages/vim/addons/vimrc
===================================================================
--- issm/trunk/externalpackages/vim/addons/vimrc	(revision 12709)
+++ issm/trunk/externalpackages/vim/addons/vimrc	(revision 13395)
@@ -99,4 +99,8 @@
 map <F8> :w <Enter> :make <Enter><Enter>
 map! <F8>  <ESC> :w <Enter> :make <Enter><Enter>
+" make update: nice for longer documents
+map <F7> :w <Enter> :make update <Enter><Enter>
+map! <F7> <ESC> :w <Enter> :make update <Enter><Enter>
+
 
 "use paste P: re-indent and re-format at the same time
@@ -190,36 +194,40 @@
 " Abbreviations {{{1
 " ----------------------------------------------------------------------
-func Eatchar(pat)
-	let c = nr2char(getchar())
-	return (c =~ a:pat) ? '' : c
-endfunc
-au BufRead,BufNewFile *.html     iabbr <silent> H1 <h1></h1><Left><Left><Left><Left><Left><C-R>=Eatchar('\s')<CR>
-au BufRead,BufNewFile *.html     iabbr <silent> H2 <h2></h2><Left><Left><Left><Left><Left><C-R>=Eatchar('\s')<CR>
-au BufRead,BufNewFile *.html     iabbr <silent> H3 <h3></h3><Left><Left><Left><Left><Left><C-R>=Eatchar('\s')<CR>
-au BufRead,BufNewFile *.html     iabbr <silent> CO <code></code><Left><Left><Left><Left><Left><Left><C-R>=Eatchar('\s')<CR>
-au BufRead,BufNewFile *.html     iabbr <silent> PP <p></p><Left><Left><Left><Left><C-R>=Eatchar('\s')<CR>
-au BufRead,BufNewFile *.m        iabbr <silent> p1  disp('');<Left><Left><Left><C-R>=Eatchar('\s')<CR>
-au BufRead,BufNewFile *.m        iab <expr> p0  "disp('-------------- file: ".expand('%')." line: ".line(".")."');"
-au BufRead,BufNewFile *.c*       iabbr <silent> p1  printf("\n");<Left><Left><Left><Left><Left><C-R>=Eatchar('\s')<CR>
-au BufRead,BufNewFile *.c*,*.h   iabbr <silent> ER  _error_("");<Left><Left><Left><C-R>=Eatchar('\s')<CR>
-au BufRead,BufNewFile *.c*       ab VV VecView(ug,PETSC_VIEWER_STDOUT_WORLD);
-au BufRead,BufNewFile *.c*       ab AS _assert_();
-au BufRead,BufNewFile *.c*       iab <expr> p0  "printf(\"-------------- file: ".expand('%')." line: %i\\n\",__LINE__);"
-au BufRead,BufNewFile *.c*       iab <expr> pp0 "PetscSynchronizedPrintf(MPI_COMM_WORLD,\"-------------- file: ".expand('%')." line: %i\\n\",__LINE__);\nPetscSynchronizedFlush(MPI_COMM_WORLD);"
-"tex
-au BufRead,BufNewFile *.tex iab EQ 
-			\\begin{equation}
-			\<CR>\end{equation}<up><C-R>=Eatchar('\s')<CR>
-au BufRead,BufNewFile *.tex iab IT 
-			\\begin{itemize}
-			\<CR>\item 
-			\<CR>\end{itemize}<up><C-R>=Eatchar('\s')<CR>
-au BufRead,BufNewFile *.tex iab EN 
-			\\begin{enumerate}
-			\<CR>\item 
-			\<CR>\end{enumerate}<up><C-R>=Eatchar('\s')<CR>
-au BufRead,BufNewFile *.tex ab (()) \left( \right)
+"func Eatchar(pat)
+"	let c = nr2char(getchar())
+"	return (c =~ a:pat) ? '' : c
+"endfunc
+"au BufRead,BufNewFile *.html     iabbr <silent> H1 <h1></h1><Left><Left><Left><Left><Left><C-R>=Eatchar('\s')<CR>
+"au BufRead,BufNewFile *.html     iabbr <silent> H2 <h2></h2><Left><Left><Left><Left><Left><C-R>=Eatchar('\s')<CR>
+"au BufRead,BufNewFile *.html     iabbr <silent> H3 <h3></h3><Left><Left><Left><Left><Left><C-R>=Eatchar('\s')<CR>
+"au BufRead,BufNewFile *.html     iabbr <silent> CO <code></code><Left><Left><Left><Left><Left><Left><C-R>=Eatchar('\s')<CR>
+"au BufRead,BufNewFile *.html     iabbr <silent> PP <p></p><Left><Left><Left><Left><C-R>=Eatchar('\s')<CR>
+"au BufRead,BufNewFile *.m        iabbr <silent> p1  disp('');<Left><Left><Left><C-R>=Eatchar('\s')<CR>
+"au BufRead,BufNewFile *.m        iab <expr> p0  "disp('-------------- file: ".expand('%')." line: ".line(".")."');"
+"au BufRead,BufNewFile *.c*       iabbr <silent> p1  printf("\n");<Left><Left><Left><Left><Left><C-R>=Eatchar('\s')<CR>
+"au BufRead,BufNewFile *.c*,*.h   iabbr <silent> ER  _error_("");<Left><Left><Left><C-R>=Eatchar('\s')<CR>
+"au BufRead,BufNewFile *.c*       ab VV VecView(ug,PETSC_VIEWER_STDOUT_WORLD);
+"au BufRead,BufNewFile *.c*       ab AS _assert_();
+"au BufRead,BufNewFile *.c*       iab <expr> p0  "printf(\"-------------- file: ".expand('%')." line: %i\\n\",__LINE__);"
+"au BufRead,BufNewFile *.c*       iab <expr> pp0 "PetscSynchronizedPrintf(MPI_COMM_WORLD,\"-------------- file: ".expand('%')." line: %i\\n\",__LINE__);\nPetscSynchronizedFlush(MPI_COMM_WORLD);"
+""tex
+"au BufRead,BufNewFile *.tex iab EQ 
+"			\\begin{equation}
+"			\<CR>\end{equation}<up><C-R>=Eatchar('\s')<CR>
+"au BufRead,BufNewFile *.tex iab IT 
+"			\\begin{itemize}
+"			\<CR>\item 
+"			\<CR>\end{itemize}<up><C-R>=Eatchar('\s')<CR>
+"au BufRead,BufNewFile *.tex iab EN 
+"			\\begin{enumerate}
+"			\<CR>\item 
+"			\<CR>\end{enumerate}<up><C-R>=Eatchar('\s')<CR>
+"au BufRead,BufNewFile *.tex ab (()) \left( \right)
 "}}}
 " Skeletons {{{1
 au BufNewFile letter.tex   0r ~/.vim/xtr/skeleton/letter.tex
 "}}}
+" Copy and Paste{{{
+"vmap <C-c> y:call system("pbcopy", getreg("\""))<CR>
+"nmap <C-v> :call setreg("\"",system("pbpaste"))<CR>p
+"}}}
Index: issm/trunk/externalpackages/vim/install.sh
===================================================================
--- issm/trunk/externalpackages/vim/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/vim/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/windows/install.sh
===================================================================
--- issm/trunk/externalpackages/windows/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/windows/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Download from ISSM server
Index: issm/trunk/externalpackages/xaifbooster/install.sh
===================================================================
--- issm/trunk/externalpackages/xaifbooster/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/xaifbooster/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
Index: issm/trunk/externalpackages/xerces/install.sh
===================================================================
--- issm/trunk/externalpackages/xerces/install.sh	(revision 12709)
+++ issm/trunk/externalpackages/xerces/install.sh	(revision 13395)
@@ -1,3 +1,4 @@
 #!/bin/bash
+set -eu
 
 #Some cleanup
